# Comms Tech Lead Role Handbook

## Overview

This handbook outlines expectations and responsibilities for Tech Leads as well as Contributor Comms team members who wish to contribute to technical efforts.

Tech leads' contributions further the Contributor Comms team's efforts to communicate  contributors' stories by resolving technical issues and decisions around [contributor-site](https://www.kubernetes.dev/), social media automation tools [buffer](https://buffer.com/) and [slack-bot](https://github.com/kubernetes-sigs/slack-infra/tree/main/slack-post-message). 

[Contributor-site](https://www.kubernetes.dev/) is a one-stop for Kubernetes contributor content and news. It brings important documentation scattered throughout the project into one central location.

A shadow for the tech lead role is someone who is expected, and in training, to take over the lead role.

Along with contributor-site these automation tools are being used:
1. Slack-bot to broadcast messages across multiple slack channels (see: [slack-bot](https://github.com/kubernetes-sigs/slack-infra/tree/main/slack-post-message))
2. [buffer](https://buffer.com/) to create posts in social media platforms (X and mastodon)
3. [Zapier](https://zapier.com/) to create and maintain automations (e.g posting zoom meeting to youtube)

## Minimum Skills and Requirements

- Are a member of the Kubernetes GitHub Org
- Good knowledge of Node.js, Hugo(docsy theme and frontmatter)
- Have a basic experience in Go (for Slack bot)
- Have a good understanding of Github actions
- Available to either attend regular Contributor Comms meetings or collaborate asynchronously via the #sig-contribex-comms channel in the Kubernetes Slack

### Expected Time Investment

Team leads: 4-5 hours per week.
Team members: 2-3 hours per week.

## General Expectations

- Be welcoming, be yourself
- Take ownership of an issue and submit a PR for repositories like (especially if it's quick or relates to work you're already doing) Contributor-site and, slack bot
- Have an understanding of what an issue is about and able to triage them, or know who to contact to determine the required information
- Coordinate work to fix any issues in automation tools to ensure valid tweet requests are fulfilled
- Train new leads

Team members will be expected to keep an eye out for news or issues related to slack bot. Common sources of such announcements are the k-dev mailing list and the #contributor-comms channel on Slack.

## Tech Lead Shadow Overview

Team members who wish to become tech leads should express this desire to the current lead(s). Leads should work with shadows to understand their capacity to take on the needs of the lead role and work with the shadow on a plan for them to take on responsibility including:

* Being an active member of the Comms team, by following the activities and the regular meetings.
* Demonstrated knowledge of the team's [README](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md) and [Charter](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/CHARTER.md).
* Becoming a reviewer for relevant PRs.
* Leading initiatives in the Contributor Comms subproject
* Address and work with the team to fix techinical issues.
* Familiar with tools like Buffer, zapier.

### Tech Lead Shadow Eligibility

* General familiarity with our repositories and automation tools
* Willingness and ability to follow up with contributors about issues, on Github, Slack, and email, as appropriate
* Ability to file well-crafted Kubernetes issues, including labeling and prow commands 
* General knowledge of our SIG system and SIGs' areas of responsibility or knowing who to contact to determine the required information

Additionally, the following qualifications make a candidate more suitable for the technical team, but are not requirements:

* Prior involvement with the Contributor Comms team and the contributor experience team
* Experience with Github actions and Github workflow
* A basic understanding of Golang
