# 2018 VOTERS GUIDE - KUBERNETES STEERING COMMITTEE ELECTION

## Purpose

The role of this election is to fill out the three (3) seats due for
reelection this year on the [Kubernetes Steering Committee]. Each elected
member will serve a two (2) year term.

## Background

This election will shape the future of Kubernetes as a community and project.
While SIGs and WGs help shape the technical direction of the project, the
[Steering Committee Charter] covers the health of the project and community
as a whole. Some examples of responsibilities to consider as you are deciding
whether to run or who to vote for:

- Define, evolve, and defend the vision, values, mission, and scope of the
  project.
- Define and evolve project governance structures and policies, including how
  contributors become committers/maintainers, approvers, reviewers, members,
  etc.
- Charter and refine policy for defining new community groups (including
  Special Interest Groups, Working Groups, and Committees), and establish
  transparency and accountability policies for such groups

For more context, please see the [current steering committee backlog] or a
previous [governance meeting video] which led to this whole process.

## Eligibility

Please refer to the [Steering Committee Election Charter] for:

- [eligibility for candidacy]
- [eligibility for voting] and [eligible voters] list (not in charter)

### Schedule

| Date         | Event                    |
| ------------ | ------------------------ |
| August 21    | Announcement of Election |
| September 14 | Due by 11:59pm UTC: All candidate bios and voting exception forms due. |
| September 19 | Election Begins |
| October 3    | Election Closes |
| October 4    | Announcement of Results at Community Meeting |

## Candidacy Process

**Nomination**

If you want to stand for election, send an email to kubernetes-dev@googlegroups.com
with the subject line "Steering Committee Nomination: Your Name (@yourgithub)".

If you want to nominate someone else, you may do so, but PLEASE talk to them
first.

If you wish to accept a nomination from someone else, reply to the nomination
email saying something like "I accept the nomination"

**Endorsement**

Once nominated, you must get the endorsement of three (3) different eligible
voters from three (3) different employers.  If you are eligible to vote
yourself, you count as one of the three.

[Eligible voters] may endorse candidates of their choosing by replying to the
candidate's nomination email saying something like "I endorse this nominee"
or "+1".

**Running**

Eligible candidates must submit a pull request with a biography in this
directory with their platform and intent to run. This statement is
**limited to 300 words** and must follow the format of `firstnamelastname.md`.
Please refer to the [2017 candidate bios] for examples.

**Campaigning**

Please refer to the [Steering Committee Election Charter] and understand
that we care deeply about [limiting corporate campaigning]. The election
officers and members of the steering committee [pledge to recuse] themselves
from any form of electioneering.

You should be running as a "brand free" individual, based on your contribution
to the project as a member of this community, outside of whatever corporate
roles you may hold.

## Voting Process

Elections will be held using time-limited [Condorcet] ranking on [CIVS]
using the [Schulze method]. The top vote getters will be elected to the open
seats.

Employer diversity is encouraged, and thus maximal representation will be
enforced as spelled out in the [Steering Committee Election Charter].

You will be ranking your choices of the candidates with an option for
"no opinion". In the event of a tie, a coin will be flipped.

The election will open for voting on September 19, 2018 around 04:00pm UTC and
end two weeks after on October 3, 2018 at 01:00am UTC. You will receive an
email to the address on file at the start of the election from "Kubernetes (CIVS Poll Supervisor) `<civs@cs.cornell.edu>`, please whitelist if necessary. Detailed voting instructions will be addressed in email and the CIVS polling page.

### Officers

The Steering Committee has selected the following people as [election officers]:
- Paris Pittman, @parispittman, Google
- Ihor Dvoretskyi, @idvoretskyi, CNCF
- Jorge Castro, @castrojo, Heptio

Please direct any questions via email to <community@k8s.io>.

### Decision

The newly elected body will be announced in the weekly [Kubernetes Community Meeting]
on October 4, 2018.

Following the meeting, the raw voting results and winners will be published on the
[Kubernetes Blog]

For more information, definitions, and/or detailed election process, please refer to
the [Steering Committee Election Charter]

## Nominees

Name | Organization/Company | GitHub
--- | --- | -- |
[Aaron Crickenberger](aaroncrickenberger.md) | Google | [@spiffxp](https://github.com/spiffxp) |
[Quinton Hoole](quintonhoole.md) | Huawei | [@quinton-hoole](https://github.com/quinton-hoole) |
| [Stephen Augustus](stephenaugustus.md) | Red Hat | [@justaugustus](https://github.com/justaugustus) |
[Tim Pepper](timpepper.md) | VMware | [@tpepper](https://github.com/tpepper) |
[Nikhita Raghunath](nikhitaraghunath.md) | Independent | [@nikhita](https://github.com/nikhita) |
[Davanum Srinivas](davanumsrinivas.md) | Huawei | [@dims](https://github.com/dims) |
[Kris Nova](krisnova.md) | Heptio | [@kris-nova](https://github.com/kris-nova) |
[Timothy St. Clair](timothysc.md) | Heptio | [@timothysc](https://github.com/timothysc) |

[Kubernetes Steering Committee]: https://github.com/kubernetes/steering
[Steering Committee Charter]: https://github.com/kubernetes/steering/blob/master/charter.md
[current steering committee backlog]: https://github.com/kubernetes/steering/projects/1
[governance meeting video]: https://www.youtube.com/watch?v=ltRKXLl0RaE&list=PL69nYSiGNLP1pkHsbPjzAewvMgGUpkCnJ&index=23

[Steering Committee Election Charter]: https://git.k8s.io/steering/elections.md
[eligibility for voting]: https://github.com/kubernetes/steering/blob/master/elections.md#elegibility-for-voting
[eligibility for candidacy]: https://github.com/kubernetes/steering/blob/master/elections.md#elegibility-for-candidacy
[limiting corporate campaigning]: https://github.com/kubernetes/steering/blob/master/elections.md#limiting-corporate-campaigning
[pledge to recuse]: https://github.com/kubernetes/steering/blob/master/elections.md#steering-committee-and-election-officer-recusal

[Condorcet]: https://en.wikipedia.org/wiki/Condorcet_method
[CIVS]: http://civs.cs.cornell.edu/
[Schulze method]: https://en.wikipedia.org/wiki/Schulze_method

[2017 candidate bios]: https://github.com/kubernetes/community/tree/master/elections/steering/2017
[election officers]: https://github.com/kubernetes/community/tree/master/elections#election-officers
[Kubernetes Community Meeting]: https://github.com/kubernetes/community/blob/master/events/community-meeting.md
[Kubernetes Blog]: https://kubernetes.io/blog/
[eligible voters]: https://github.com/kubernetes/community/blob/master/elections/steering/2018/voters.md
