-------------------------------------------------------------
name: Nabarun Pal
ID: palnabarun
info:
  - employer: VMware
  - slack: palnabarun
-------------------------------------------------------------

## SIGS

- Code of Conduct Committee (CoCC)
- API Machinery: Clients Subproject
- Architecture: Code Organization, Enhancements
- Contributor Experience: Events, GitHub Admin, dev@kubernetes.io moderator
- Testing: Deflaking test jobs
- Release:
    - Release Manager
    - Release Team (1.17-1.21, 1.23-1.24, 1.26)
        - 1.26 Emeritus Adviser
        - 1.24 Branch Manager
        - 1.21 Release Lead
        - 1.19 Enhancements Lead

## What I have done

I got involved with the Kubernetes community on my own time to give back to a project that I was using to build an internal platform at my day job. Since then, I have been associated with the Kubernetes Releases after joining the 1.17 Enhancements team. I was the Release Lead for Kubernetes 1.21, the Enhancements Team Lead for Kubernetes 1.19 and Branch Manager for 1.24. I contribute to SIG Release as a Release Manager and the Emeritus Adviser for Kubernetes 1.26.

I was elected to the Kubernetes Code of Conduct Committee, maintain the Kubernetes GitHub organizations as a GitHub Administrators, contributed to the Kubernetes Python client in various areas, and led multiple Kubernetes New Contributor Workshops in the APAC region, helping new contributors to start with Kubernetes. In the groups I was part of, I tried to make the meetings/processes more sustainable for geographically diverse contributors. One of the examples of such initiatives is asynchronous updates instead of meetings.

I have mentored people from all walks of life through regular 1:1 sessions. Additionally, I have been the Technology Working Group Lead for PyCon India.

## What I'll do

Over the past 3.5 years that I have been contributing to Kubernetes growing through the ranks, I have seen first-hand the challenges faced by sections of the contributor community. I want to work toward solving those issues. I believe that my active involvement in multiple aspects of the Kubernetes project equips me to form informed opinions on key decisions.

- Helping SIGs come up with well-defined plans to support new contributors and a clear ladder for them to get promoted to reviewers/approvers
- Ensure the practices and processes of the community are sustainable in the long term
- Further emphasize the importance of asynchronous communication over public channels to reduce friction and bias
- Continue and impart thoughts from my own experience to the community efforts to help part-time contributors working on their own time to contribute to the project sustainably
- Reducing the geographical and linguistic disadvantage of contributors from APAC/EMEA timezones
- Uphold the [values of the community](https://github.com/kubernetes/community/blob/master/values.md) while dealing with conflicts as I have been doing at CoCC

## Resources

- Talks: [https://nabarun.dev/speaking/](https://nabarun.dev/speaking/)
- Twitter: [https://twitter.com/theonlynabarun](https://twitter.com/theonlynabarun)
- 1:1 Mentoring: [https://calendly.com/palnabarun/1-on-1](https://calendly.com/palnabarun/1-on-1)
