# Contributor Workshops Handbook

## Overview

The Contributor Workshop team recruits, selects, and schedules "advanced" workshops for current Kubernetes contributors to improve their skills during the Contributor Summit.  Such workshops might include hands-on demonstrations of build or testing tasks, live interactive reviews of PRs, KEPs, API changes, or similar, documentation writing, or other long-form activities involving some hands-on-keyboard participation.  

This is distinct from the [New Contributor and Intermediate Contributor workshops](./new-contributor-workshops/README.md), although the CW team will work with that team.

## Skills and Qualifications

* General knowledge of Kubernetes contribution process
* Existing relationships within the Kubernetes contributor community

## Activities

* Attend regular core and content meetings.
* Review CFP form to ensure it calls out and differentiates workshops from other
  sessions.
* Solicit ideas for workshops, and recruit presenters for workshop submissions.
  This is where existing relationships are important. Putting together a
  workshop takes a lot of time and effort, and so it may require some
  convincing to get folks on board.
* Review and evaluate submitted workshops, and assist in selection. This may
  require getting clarification from submitters. Session submissions should also
  be evaluated as to whether they are best done as sessions or workshops.
* Review the schedule to ensure placement for workshops.
* After workshops are selected, you must solicit the presenters for:
    * Minimum requirements needed for the workshop (laptop, etc.)
    * Pre-requisite reading for the workshop
    * Preparation needed by participants
    * Images that may need to be preloaded on the Harbor box
* Updating the workshop descriptions in Sched with the prep notes and any other
  changes needed by the workshop presenters.
* Coordinating with the rest of the event team to get an email out to workshop
  attendees that includes the preparation information.
* Following up with the workshop presenters to make sure they are ready and
  provide any assistance they need.

## Time Commitment

The time commitment is relatively low for this role. Beyond the meetings, the
most time would be spent in the recruitment process. The exact amount of time is
hard to say, but it's on the order of 2-4 hours per week, with perhaps a bit
more in the last few weeks.

## Instructions and Tips for Specific Tasks
* Reach out to possible workshop presenters before the CFP closes. You may want
  to visit individual SIG meetings, in addition to emails. Person-to-person
  (f2f, slack, or Zoom meetings) will work much better for recruiting presenters
  than broadcast emails.
* You may want to start with a copy of [this
  form](https://docs.google.com/forms/d/1VywjGXPEEzozwCDzEcxTdt7bRcfpnK9zRKKGI_AexrM/edit)
  to solicit the prep info.
