# Marketing Lead Handbook

This document defines marketing planning and activities needed to run a
Contributor Summit.

- [Overview](#overview)
- [Skills and Qualifications](#skills-and-qualifications)
- [Responsibilities](#responsibilities)
  - [Communication Channels and Property Access](#communication-channels-and-property-access)
- [Documentation](#documentation)

## Overview

As Marketing Lead, you are responsible for the overall marketing communications
timeline. The role also includes ensuring all non-technical content (web, mail,
physical prints) is correct and informative, and supporting the other roles
(registration, content) as needed.

Time Commitment:
- 1-3 hours a week from 0-1.5 months in
- 2-5 hours a week from 1.5 months-to event

## Skills and Qualifications

- Good grasp on general marketing activities surrounding events  
- Understanding of common forms of marketing communications
- Event planning experience

## Responsibilities

- Create a communication schedule - what, when, how, who  
- Manage online presence - website, social media strategy  
- Potentially recruit a social media coordinator role  
- Provide updates on social media, mailing lists, and Slack throughout pre-,
  during-, and post-event
- Assist with GitHub event repo adds and edits
- Work with Event Lead on a recap blog
- Determine signage needs and copy, coordinate with CNCF on explicit needs  
- Create/update deck templates for curated talks and/or other purposes

### Communication Channels and Property Access

Communications to the Kubernetes Contributor Community should be sent from
official Kubernetes accounts to ensure they reach the community. Mass messages
from personal accounts can easily wind up being marked as spam.

**Email**

Mail should be sent from the contributors@kubernetes.io account. For access, work
with the event lead who will coordinate with [SIG Contributor Experience leads] 
to grant temporary access to the account for the duration of the event.

**Twitter**

Tweets can be sent from two accounts: [@K8sContributors] and [@Kubernetesio].

Tweets targeting the greater Kubernetes community should use the [@Kubernetesio]
account. Tweets using this account must be coordinated with the [CNCF]. Work
with the CNCF events rep to schedule the tweets or put you in contact with
the CNCF marketing members in charge of the account. Tweets using this account
are often limited in the content and quantity that may be sent.

Tweets targeting the current contributor base should use the [@K8sContributors]
account. There are no restrictions with this account for the amount or kind of
messages that may be sent. This account may be used for announcements,
live-tweeting, pictures and more. Reach out to the Kubernetes [Contributor Comms] to schedule or use this account.


## Shadow to the Marketing Lead Role

This role can include one or more shadows. The Marketing Lead can delegate/assign
tasks to the shadows. The expectation from a shadow is to lead one of the
events-team roles in an upcoming summit. The shadows to the Marketing Lead are
responsible for handling all Marketing lead related activities in the absence of
the Lead.


## Documentation

[Email comms used for Contributor Summit Barcelona, 2019]


[Email comms used for Contributor Summit Barcelona, 2019]: /events/2019/05-contributor-summit/communications.md
[SIG Contributor Experience leads]: /sig-contributor-experience/README.md#leadership
[@K8sContributors]: https://twitter.com/K8sContributors
[@Kubernetesio]: https://twitter.com/kubernetesio
[CNCF]: https://www.cncf.io/
[SIG-ContribEx Contributor Comms team]: /communication/contributor-comms/README.md
