---
title: "Mentoring Programs and Resources"
weight: 3
description: |
  An index of Kubernetes Mentoring programs, initiatives, and resources.
---

# Kubernetes Upstream Mentoring Programs

This page indexes all of the mentoring initiatives for contributing to the Kubernetes project. For end user mentoring initiatives, check out KubeCon and other CNCF events and programs.

---

We understand that everyone has different learning styles and we want to support
as many of those as possible. Mentoring is vital to the growth of an individual
and organization of every kind. For Kubernetes, the larger the project becomes
, it's necessary to keep a continuous pipeline of quality contributors and we want you to hang around!

## Current mentoring activities:

Please reach out to #sig-contribex on slack or come to a mentoring meeting to get involved in planning //TODO add contribex README when this is updated

SIG's office hours / mentoring

- [Office hours / mentoring](/mentoring/programs/office-hours.md)

Long Term Contributor Ladder Growth

- Through [Group Mentoring Cohorts](/mentoring/programs/group-mentoring.md)

Specific topics and activities

- [The 1:1 Hour](/mentoring/programs/the1-on-1hour.md)

Role based shadow programs

- [List of programs](/mentoring/programs/shadow-roles.md)

Students

- [Google Summer of Code](/mentoring/programs/google-summer-of-code.md)

1:1 full-time mentoring

- [LFX Mentorship](/mentoring/programs/lfx-mentorship.md)

Tech Writers

- [Google Season of Docs](/mentoring/programs/google-season-of-docs.md)

Groups Traditionally Underrepresented in Tech

- [Outreachy](/mentoring/programs/outreachy.md)

In person

- [Videos of New Contributor Workshop](https://www.youtube.com/playlist?list=PL69nYSiGNLP3M5X7stuD7N4r3uP2PZQUx)
- Pod Mentoring! [aka group mentoring](/mentoring/programs/mentoring-events.md)

#### Inspiration and Thanks

This is not an out of the box program but was largely inspired by the following:

- [Ada Developer Academy](https://adadevelopersacademy.org/)
- [Apache Mentoring Programme](https://community.apache.org/mentoringprogramme.html)
- [exercism.io](https://github.com/OperationCode/exercism-io-mentoring)
- [Google Summer of Code](https://developers.google.com/open-source/gsoc/)
- [Outreachy](https://www.outreachy.org/)
- [OpenStack Mentoring](https://wiki.openstack.org/wiki/Mentoring)

Thanks to:

- the many contributors who reviewed and participated in brainstorming,
- founding mentees for their willingness to try this out,
- founding mentors (@chrislovecnm, @luxas, @kow3ns, @nikhita)

We welcome PRs, suggestions, and help!
