# Contributor Ladder Growth Programs
  
These programs place an emphasis on learning in groups for active contributors
that would like to be a reviewer or other leadership roles like a Chair. The 
groups are semi-structured learning environments over the course of three
months or a release cycle. Want to get `/lgtm` rights? Be a decision maker in an
 OWNERS file? This could be a great way to get the knowledge you need, and some 
 accountability to do it. Through this program you will get the opportunity to 
 interact with active contributors who may be on the same path as you as well 
 very experienced Kubernetes contributors.

## How This Works
Foundation:  
This program is built around our [community membership guidelines] as well as 
our [Chair] and [Tech Lead] governance descriptions.
These docs show how you can grow through the project in different roles and
provides the requirements to get to each level on our ladder. Building trust is 
key.

## Cohorts
- No more than 4 mentees per 1 mentor; no more than 8 total in the group
  - this scales better than 1:1 and peers can help each other in a community
  setting
- Everyone is on the same journey 
Member -> Reviewer | Reviewer -> Approver | SIG Member -> Chair
- Three months / one release cycle 
- Private slack channel
 For you to progress, the community wants to know you are dependable and 
 understand the domain.

Mentors can rotate facilitating once a week for slack standups with the 
expectation that cohort members need to check in with a predetermined status 
update (accomplishments, challenges, etc)  

## Benefits of a Cohort
* Peer mentoring  
* Clear goals, objectives, and timelines  
* Each mentee is working toward the same goal, cohort has an end date/timeframe  
* Exposure to multiple areas of the project making well-rounded contributors  
* Mentors share time commitments and responsibilities  
* Exposure to multiple mentors in an open and collaborative environment
 

## Mentor requirements  
- Github Org Member
- At least the same level as the goal of the group (example: Reviewer for 
Reviewers) 
- Time commitment: facilitate biweekly, hour long zoom sessions plus curriculum 
planning in between sessions (~1-2h/wk total).

## First Cohort Success Rates
5/10 graduated into OWNERs files from members to reviewers in 2019. 2 are
subproject owners in 2021.  

## FAQs
I'm a SIG Chair/TL/Subproject Owner and have a need for more members, reviewers,
approvers, how can we form a cohort?  
Reach out to #sig-contribex in slack or file an issue against 
kubernetes/community 

I'm a contributor looking for a cohort, where do I go?  
Look in the kubernetes/community repo for issues labelled "contributor ladder
mentoring" 

I'm not a chair, tech lead, or subproject owner but I'm a reviewer or approver,
how can I help?  
Talk to your Chairs and Tech Leads about forming a group that you can help 
mentor.  


## Important Links
[Mentor Guide]  
[Mentee Guide]

[Mentee Guide]: /mentoring/programs/group-mentee-guide.md
[Mentoring/Contributor Info Form]: https://goo.gl/forms/SHWAiZ9Ih1qwuJbs1
[Mentor Guide]: /mentoring/processes/mentor-guide.md
[community membership guidelines]: /community-membership.md
[Chair]: https://github.com/kubernetes/community/blob/master/committee-steering/governance/sig-governance.md#chair
[Tech Lead]: https://github.com/kubernetes/community/blob/master/contributors/chairs-and-techleads/technical-lead.md
