# Leads Training Cohort Curriculum

**Cohort Lead (1.22 cycle):** Elana Hashman

**Steering Rep:** Paris Pittman

This curriculum outline is based on the 1.22 release cycle and was scheduled with a number of break weeks for holidays.

## Week 1: Intro

* Introductions
* Goals
* Non-goals
* Format of the group and sessions, midway check-in
    * Topics
    * Guests
    * Homework
    * Expectations
* High level overview of project structure

Special guest: Steering Rep for cohort

### Homework

* Read your SIG’s charter
* Read your SIG’s annual report
* Attend your regular SIG meeting
* **Report back on:** current leadership, links to Slack channel(s), mailing list, meeting notes, relevant planning documents and reports.
* **Tell us** about the dynamics of the SIG meeting. Who led the meeting? Who participated? What sorts of things did you discuss? Did it feel organized? Anything you think went particularly well or you would like to change?


## Week 2: Break

* No meeting
* KubeCon EU

### Homework

* **Report back on:** three interesting talks about or from your SIG
* **Watch** your SIG’s maintainer track session, and **report back** with a short summary and what you learned
* **Find** all the code your SIG owns and **decide** if you want to become a reviewer/approver, if you are not one already.


## Week 3: Enhancements

* Enhancement process + requirements
* Feature lifecycles
* Scope of enhancement process

Special guest: Current Release or Enhancements Lead

### Homework

* Review your SIG’s enhancements. Are they all up to date?
    * **Bonus credit:** submit a PR to update any outdated KEPs in your SIG to ensure the latest implementation history, milestone and stage are set correctly.
* Pick one enhancement from your SIG and research it end to end, including code, documentation, implementation history, and graduation stages. You’ll give a **short (~2m) presentation** on its lifecycle next week.


## Week 4: Responsibilities

* What do Chairs do?
* What do Tech Leads do?
* What should leads NOT do?

Special guest: Steering Committee Member

## Homework

* **Think about the role you want to play** in your SIG. Do you want to focus on the technical work and go deep into the day-to-day maintenance? Do you want to be an architect? A trusted mediator? Help your SIG stay on track as a project manager?
* How does that fit in with the existing volunteers in your SIG? Is there a clear path to meeting your goals?
* Next session, we will each do a **short (~1m) presentation on what role we’d like to play in our SIG**, and everyone in the group will have a chance to ask questions.


## Week 5: Break

* No meeting
* Memorial Day Weekend


### Homework

* Catch up on any previous week’s homework that you would have liked to spend more time on.
* Break! Because everyone needs a break :)


## Week 6: The Release Cycle

* Annual and per-release schedules
* Phases: enhancements, development, freeze, break

Special guest: Former Release Lead


### Homework

* **Research how your SIG tracks work**, deadlines, and deliverables. How do your chairs ensure that all your KEPs are ready on time, both as design docs and features to merge? What about the final burndown for test freeze? Do you rely on external reminders, e.g. from the Release Team? Is there anything that your SIG is doing particularly well or that you’d like to improve?


## Week 7: Development 1

* Triaging PRs
* Triaging bugs
* Reviewing code

Special guest: SIG Architecture Lead


### Homework

* Report back on **how your SIG manages development**. Do they use a triage board? Do they have a triage meeting? What’s your SIG’s PR velocity and is it doing any work to improve that? (Hint: the annual reports should help you find this.) How many active reviewers and approvers does your SIG have, and does it need more? If your SIG doesn’t own very much code, how do they figure out where to track features and participate in development?


## Mid-way Checkpoint

* If you have been unable to attend/participate in the sessions, or you want to drop from the group for any reason, this is when we will make that call.


## Week 8: Meetings and Organization

* Which meetings should I attend?
* Calendar management
* Building a good agenda
* Chairing meetings

Special guest: TBA

### Homework

* You know that you need to attend your own SIG’s meetings, but **what other meetings do you need to attend**? For example, SIG Storage needs to work closely with SIG Node, so a Storage lead might need to attend the occasional Node and Arch meetings.
* **Host a meeting for your SIG.** Just do it: talk to your leads and offer to run one!


## Week 9: Development 2

* API Changes
* Conformance
* Code Organization

Special guest: Top-level approver/API Reviewer

### Homework

* Continue participating in and leading SIG meetings.
* Spend time working on relevant SIG projects and code.


## Week 10: Break

* No meeting
* July 4th Long Weekend

### Homework

* Enjoy the break!
* Catch up on any previous homework.


## Week 11: Code and Test Freeze

* Tracking and driving SIG burndown for current milestone
* Deflaking tests
* More on testing! (test-infra)

Special guest: SIG Testing Lead

### Homework

* Report back on **how your SIG tracks burndown** for the release. Do they proactively track, or do they rely on the release team to ping them?
* Take a look at **what jobs/dashboards your SIG owns** in the kubernetes/test-infra repo. Do you have a good understanding of what’s going on? How does your SIG manage its CI configurations?


## Week 12: Consensus-Building and Communication

* How to lead development of large features
* Identifying stakeholders and seeking input
* Managing conflicts of interest

Special guest: Chair of a large, multi-stakeholder SIG

### Homework

* Think about **a large, multi-stakeholder decision** that your SIG made. Identify all of the **stakeholders, their needs, and their desired outcomes**. How did your SIG’s leads balance these considerations? What was the outcome of the decision? We will do brief (~2m) presentations next week.


## Week 13: Break

* No meeting

### Homework

* Enjoy the break!
* Continue finding work to do in your SIG and hosting meetings.


## Week 14: Branch Management and Cherry-Picks

* Supported releases and version skew
* Cherry-pick process (Release Team)
* Cherry-pick responsibilities (your SIG)

Special guest: SIG Release Lead and/or Release Manager


### Homework

* Review **all pending cherry-picks** for your SIG and test out the cherry-pick scripts (if applicable, i.e. your SIG owns code in k/k).
* Review the patch release schedule.
* Take a look at your SIG’s merged bug-fix PRs and see if you can **identify any that would be suitable for backport**.


## Week 15: Release Cut + Graduation

* Retro!

Special guest: Steering Rep for cohort
